Ubuntu

[MASTER] Applications are flickering/flashing in full screen mode

Reported by oh on 2007-10-16
444
This bug affects 56 people
Affects Status Importance Assigned to Milestone
Compiz
Fix Released
Unknown
One Hundred Papercuts
Low
Unassigned
compiz (Ubuntu)
Low
Unassigned
Nominated for Jaunty by Stefano Palazzo
Nominated for Karmic by Սահակ

Bug Description

Binary package hint: compiz

Whenever a pulldown menu is activated (i dont know the right word here) the screen flickers and the menu does not work. Sometime the entire screen is filled with garbage momentarily. Other times a large diagonal bar flickers over the entire screen. REPRODUCE: use the firefox search bar to search for a couple of words starting with "aa". Then move into the search box and type an a and possibly arrow down key. this should pop up a list of previous search terms, but instead just causes flickering and strangeness. by moving the window out of fullscreen mode (into maximized state only, for example) everything works nicely.

This is gutsy, updated/upgraded via apt-get yesterday, running on a lenovo thinkpad x60 w/intel 945 graphics. OpenGL programs work nicely on this machine, with compiz they are somewhat slower. I run the normal X server, not Xgl, since when I enable Xgl everything except panning between workspaces gets very slow (wobbling, for instance).

I have enabled "extra" desktop effects - wobbling, panning workspace switching (not the cube). I run many workspaces and switch between them with ctrl-f1, ctrl-f2 etc.

I usually dedicate some workspaces to running applications in full-screen (not maximized, but full-screen) mode - an xterm for irc on one workspace, a fullscreen firefox on another, etc. Normally I have a desktop shortcut (shift-ctrl-enter) to toggle fullscreen, so i use it a lot.

Philipp Kohlbecher (xt28) wrote :

I am having the same problem, I believe.

Reproduced on a Samsung X20 XVM 1730 V laptop with an Intel 915 graphics controller using the gutsy live CD. I also enabled the "extra" desktop effects.

Changed in compiz:
status: New → Confirmed
Philipp Kohlbecher (xt28) wrote :

This may be related to bug #153676.

oh (oystein-homelien) wrote :

Tonight I had some friends over and I demonstrated the nice new 3d desktop in gutsy. They were terribly annoyed by the artifacts described in this bug. So I made a video of my desktop exhibiting the bug:

http://u.no.net/lnl

.. In this video I am using several pull-down menus which you do not see properly. You will notice very annoying screen flickerings. They show exactly how it looks on my desktop, except for the poor frame-rate, and also due to the poor frame rate I believe some of the most annoying effects were hidden from the video file. But never the less, I hope this gives some more insight!

Kiwinote (kiwinote) wrote :

Right-clicking, displaying "alt" texts etc also cause flickering.

Changed in compiz:
importance: Undecided → Low

I can confirm that I'm having this problem too. I'm using the nvidia drivers installed by the Restricted Device Manager and compiz. I'm using Gutsy. I get this problem with the alpha release of Firefox 3 too. I've also noticed the workspace switching is slower with Firefox in full screen mode. No other windows are open when this happens.

gnometallix (arnomuhren) wrote :

I'm having the same issue using Firefox 3 Beta 5 in Ubuntu Hardy Heron 8.04. When in fullscreen mode, it sometimes happens after clicking links on websites, but especially when clicking the drop-down menu of the adddress-bar or search-bar.

brucehd (n1hnj) wrote :

I have experienced this issue using Firefox3b5, Epiphany 2.22.1.1, EOG 2.22.1, and every other application that can run in fullscreen display mode, with the lone exception of IrfanView (which runs under WINE); running under Hardy Heron 8.04 x86_64, using an AMD 64 X2 with the nVidia GeForce 6150 IGP. It happened every time an object, such as a tooltip, context (right-click) menu, or dropdown menu, appeared on the screen while in fullscreen mode. Imagine how annoying browsing the threads in the Ubuntu Forums in fullscreen mode could be with those tooltips popping up and the screen flickering and jumping.

The flicker looks as described above and ranges from a minimal flicker to a bunch of 'garbage' that looks like the display momentarily lost horizontal sync. Those old enough to remember CRT TVs with horizontal hold controls will know what that looks like.

I don't know if this would be classified as a fix or a workaround. But here's how I got fullscreen mode to behave:

Install the Compiz Fusion Icon from within Synaptic and ran it (Applications > System Tools > Compiz Fusion Icon). The icon will appear in the System Tray area.

Right-click on the CF Icon, select Settings Manager, and click General Options. In the General tab, uncheck Unredirect Fullscreen Windows, click Back, and click Close. On my system the problem was fixed immediately. But I restarted the x-server just in case it was a fluke (this was the case when something else I tried seemed to work....but it hadn't).

This worked for me. If this works for others and has no ill effect on most major and most used apps, perhaps this could be the default setting until the reason for the flicker is discovered and fixed?

Marek Vančo (marek.vanco) wrote :

Thanks you brucehd,

   I confirm this, it's solution for more fullscreen problems (in firefox and screensavers, gThumb image viewer).
In F-spot fullscreen problem it steel present.

In Ubuntu distribution I repruduced a fix described by brucehd follow:
SYSYEM->PREFERENCES->Advanced desktop Effect Settings -> General options -> Unredirect fullscreen Windows (OFF).

I didn't need to restart X server to take a effect.
(Excuse me my english).

I have a similar problem when playing fullscreen games (Nexuiz and UT). When Compiz is active, I get similar flickering. Undirect fullscreen does not help.

I want to clarify: I'm using Binary ATI drivers on my 3870.

Updated summary to reflect that the issue is not only restricted to firefox.

Jesper de Jong (jespdj) wrote :

A workaround has been published here:
http://tombuntu.com/index.php/2008/09/03/fix-for-flickering-fullscreen-application-with-compiz/

Run this command in a terminal to turn the setting off, and fix the flickering:
gconftool-2 --set /apps/compiz/general/screen0/options/unredirect_fullscreen_windows --type bool 0

To switch it back on:
gconftool-2 --set /apps/compiz/general/screen0/options/unredirect_fullscreen_windows --type bool 1

Kiwinote (kiwinote) wrote :

This seems to have been fixed in jaunty. Feel free to re-open this bug if the issue persists.

Changed in compiz:
status: Confirmed → Fix Released
Սահակ (petrosyan) wrote :

this issue reappeared again in Ubuntu 9.04

Changed in compiz:
status: Fix Released → New
Kiwinote (kiwinote) wrote :

It has indeed started again in jaunty. Confirming.

Changed in compiz:
status: New → Confirmed
JoaoH (joao-machado-family) wrote :

Jaunty 9.04 Beta:
HP G60 Laptop, Intel Graphics card, 2.0GHz Dual Core, 2Gig Memory, 16" wide screen (1366x768).

I seem to have the similar problem, when running Firefox in full screen mode, everytime I right click the whole screen flickers. Rather annoying.

A couple of test I did and wanted to pass on to whom ever might be interested:

From command line, glxgears gives a performance of about 740FPS, with a slight hesitation/flicker sparatically.
If I run "sudo glxgears" I get almost 1100 FPS and super smooth operation.

If I turn off compiz, glxgears stays about the same, but sudo glxgears drops to about 900 FPS.

Running "/usr/lib/xscreensaver/glblur -window -fps" gets me really bad flickering, can't even tell what the rate is.
If I run "sudo /usr/lib/xscreensaver/glblur -window -fps", supper smooth results...

viktor (lfraisse) wrote :

Confirmed on up-to-date Jaunty beta (April-11) : flickering occurs in fullscreen mode with compiz activated in VLC and Totem at least.

Nvidia GeForce 7300 LE with proprietary driver v180 activated and 512MB dedicated.

Joel Auterson (joel-auterson) wrote :

I can confirm this on the Jaunty RC, and also confirm that brucehd's fix works, at least in Firefox.

dopelover (dopelover) wrote :

I also confirm presence of this problem on Jaunty (i386) with Nvidia proprietary driver.

Joel Auterson (joel-auterson) wrote :

Brucehd's fix worked for me on Jaunty.

On April 24, i removed Ubuntu 7.10 and erase partition, and I installed
Jaunty.
I didn't install Compiz yet and i didn't made the tests yet.
With this PC, i didn't like Compiz in the past, I keep regular mode no extra
effect.

In the future, when I will get a new PC with more memory and Video Card more
performant
i will activate Compiz.

You're the second one today to answer me for a question i posted in the past
more than one year.

Thanks

Daniel Bolduc

2009/5/19 Joel Auterson <email address hidden>

> Brucehd's fix worked for me on Jaunty.
>
> --
> [MASTER] Applications are flickering/flashing in full screen mode
> https://bugs.launchpad.net/bugs/153204
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “compiz” source package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: compiz
>
> Whenever a pulldown menu is activated (i dont know the right word here) the
> screen flickers and the menu does not work. Sometime the entire screen is
> filled with garbage momentarily. Other times a large diagonal bar flickers
> over the entire screen. REPRODUCE: use the firefox search bar to search for
> a couple of words starting with "aa". Then move into the search box and type
> an a and possibly arrow down key. this should pop up a list of previous
> search terms, but instead just causes flickering and strangeness. by moving
> the window out of fullscreen mode (into maximized state only, for example)
> everything works nicely.
>
> This is gutsy, updated/upgraded via apt-get yesterday, running on a lenovo
> thinkpad x60 w/intel 945 graphics. OpenGL programs work nicely on this
> machine, with compiz they are somewhat slower. I run the normal X server,
> not Xgl, since when I enable Xgl everything except panning between
> workspaces gets very slow (wobbling, for instance).
>
> I have enabled "extra" desktop effects - wobbling, panning workspace
> switching (not the cube). I run many workspaces and switch between them with
> ctrl-f1, ctrl-f2 etc.
>
> I usually dedicate some workspaces to running applications in full-screen
> (not maximized, but full-screen) mode - an xterm for irc on one workspace, a
> fullscreen firefox on another, etc. Normally I have a desktop shortcut
> (shift-ctrl-enter) to toggle fullscreen, so i use it a lot.
>

warren (warren-driscoll) wrote :

Although the undirect fullscreen windows fix worked for me, I still believe that my bug has been marked as a duplicate of this one in error. The author of this bug states that garbage appears on the screen when a popup appears. In my case I can confirm that it is always the desktop background.

Changed in compiz:
status: Unknown → New
Eduard Grebe (eduardgrebe) wrote :

I experience this problem in a fresh install of Jaunty on machine with an Intel video chipset. The unredirect workaround solves the problem for me.

Has anyone had less performance with this option checked? If not, why don't we just have this option by default?

manzur (sl-solaris) wrote :

because it is not the right way to solve, i think it is due to an internal code error

Julian Lam (julian-lam) wrote :

After I posted my last response, I realized that the "Legacy Fullscreen"
option in compizconfig-settings-manager didn't actually resolve the problem.
It reduced it, but flickers to show the desktop still occur.

On Thu, Aug 13, 2009 at 11:28 AM, manzur <email address hidden> wrote:

> because it is not the right way to solve, i think it is due to an
> internal code error
>
> --
> [MASTER] Applications are flickering/flashing in full screen mode
> https://bugs.launchpad.net/bugs/153204
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Compiz: New
> Status in “compiz” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: compiz
>
> Whenever a pulldown menu is activated (i dont know the right word here) the
> screen flickers and the menu does not work. Sometime the entire screen is
> filled with garbage momentarily. Other times a large diagonal bar flickers
> over the entire screen. REPRODUCE: use the firefox search bar to search for
> a couple of words starting with "aa". Then move into the search box and type
> an a and possibly arrow down key. this should pop up a list of previous
> search terms, but instead just causes flickering and strangeness. by moving
> the window out of fullscreen mode (into maximized state only, for example)
> everything works nicely.
>
> This is gutsy, updated/upgraded via apt-get yesterday, running on a lenovo
> thinkpad x60 w/intel 945 graphics. OpenGL programs work nicely on this
> machine, with compiz they are somewhat slower. I run the normal X server,
> not Xgl, since when I enable Xgl everything except panning between
> workspaces gets very slow (wobbling, for instance).
>
> I have enabled "extra" desktop effects - wobbling, panning workspace
> switching (not the cube). I run many workspaces and switch between them with
> ctrl-f1, ctrl-f2 etc.
>
> I usually dedicate some workspaces to running applications in full-screen
> (not maximized, but full-screen) mode - an xterm for irc on one workspace, a
> fullscreen firefox on another, etc. Normally I have a desktop shortcut
> (shift-ctrl-enter) to toggle fullscreen, so i use it a lot.
>

--
Julian Lam
Hons. BMus. III, McMaster University
(416) 843-4323 | http://www.kareeser.com

Jasa Bartelj (jbartelj) wrote :

This is most annoying with the new notification system.

Imagine watching a fullscreen video and a notification about some IM contact appearing online causes a fllicker (a quick desktop background flash).
If one has a lot of contacts these notifications appear many times a minute and the watching experience is interrupted.

tankdriver (stoneraider) wrote :

(just a theory:)
I think this bug causes in some way #420419 (mouse settings messed up after flickering during gaming)
(This is to heavy to be a papercut, Am I right?)

El Toozero (eltoozero) wrote :

This bug is still happening in Karmic as of Alpha 5, I have consolidated another duplicate bug, but the workaround posted on tombuntu or Bruched fix are effective for alleviating the flicker behavior in Firefox.

tags: added: karmic

it's more than just a flicker for me on Karmic A5, now. It's full-blown chaotic flickering that doesn't stop until you leave your mouse still.

tankdriver (stoneraider) wrote :

after the latest updates the flickering is over for me.
compiz (1:0.8.3+git20090915-0ubuntu1)

But is seems to be that the 3D performance is very bad now.
The bug is NOT FIXED, thats just a BAD workaround.
(see changelog: https://launchpad.net/ubuntu/+source/compiz )

Travis Watkins (amaranth) wrote :

There is no other possible fix, unredirect fullscreen windows basically turns off compiz when you have a fullscreen window so then when another window (totem play/pause bar for example) appears compiz has to be turned back on which always flickers as it redirects everything again.

tankdriver (stoneraider) wrote :

(On my nvidia machines, with enabled unredirect fullscreen windows, VSync enabled:)
I find It very interesting, that if you have a fullscreen video running and you move with your mouse to get the control bar, the "flickering" is a frame with the desktop background.
And if your wait (control bar fades out), the "flickering" is a black frame.

So let me combine:
(1) compiz inactive > active : desktop background frame "flickering"
(2) compiz active > inactive : black frame "flickering"

I can live with nr (2), but nr (1) is really (eye-cancer) bad (especially if your have a bright background)
If its possible to turn the (1) flickering into a black frame, I would be satisfied.

Travis Watkins (amaranth) wrote :

Unfortunately it's not, when compiz is being activated (either this way or when starting it with `compiz`) everything disappears and the background you are seeing is your X root window. At this point compiz can't draw anything, it is trying to get textures for all of the windows.

tankdriver (stoneraider) wrote :

OK, like I said performance is bad with disabled unredirect fullscreen windows.
Thats bad for:
- 3D Games,
- even Video performance (Mythtv) is worse (Video Playback speed feels "wavy")
- other visual applications that are used to display "smooth" movements

set Unredirect Fullscreen windows to "false" makes following better:
- firefox
- inkscape
- image viewer
- audio player

I am personally in the first group. But I think most ubuntuusers are in the last group.

I tested enabling/disabling the option while playing fullscreen video (via script):
It does not work. The settings will be assumed not until your move the mouse: "flickering in any case"

It would be nice to have a program, detecting what type of fullscreen application is going to be started and then enable/disable Unredirect Fullscreen windows.

tankdriver schrieb:
> OK, like I said performance is bad with disabled unredirect fullscreen windows.
> Thats bad for:
> - 3D Games,

I tested that with Quake Live. I don't see any difference in terms of
fps. What did you get with what game?

tankdriver (stoneraider) wrote :

For example:
Nexuiz v2.5.1, singleplayer level 1, effects pretty high
Unredirect Fullscreen windows "true" : 30 - 35 fps
Unredirect Fullscreen windows to "false": 55 - 60 fps

UbanTerror: max effects: 60fps in every configuration, but with "true" the game is "shivering" (unplayable)

I somehow can't start glxgears in full fullscreen. Any ideas to compare this performance issue?

tankdriver (stoneraider) wrote :

ok, now I got glxgears in fullscreen:

Unredirect Fullscreen windows "true":
~$ glxgears -fullscreen
Running synchronized to the vertical refresh. The framerate should be
approximately the same as the monitor refresh rate.
2698 frames in 5.0 seconds
3293 frames in 5.0 seconds
3258 frames in 5.0 seconds
3291 frames in 5.0 seconds

Unredirect Fullscreen windows to "false":
~$ glxgears -fullscreen
Running synchronized to the vertical refresh. The framerate should be
approximately the same as the monitor refresh rate.
1231 frames in 5.0 seconds
1324 frames in 5.0 seconds
1323 frames in 5.0 seconds
1322 frames in 5.0 seconds

I played Deus Ex through wine a few weeks ago perfectly fine with Unredirect set to false. Of course, that's an outdated game, but I haven't had any problems graphically since I first disabled it when Jaunty came out. I've also played some tremulous as well. I'm on an NVidia 8600GT

Unredirect Fullscreen windows set to "true":
4042 frames in 5.0 seconds = 808.227 FPS
4034 frames in 5.0 seconds = 806.759 FPS
4115 frames in 5.0 seconds = 822.853 FPS
4057 frames in 5.0 seconds = 811.297 FPS
4129 frames in 5.0 seconds = 825.663 FPS
4075 frames in 5.0 seconds = 814.958 FPS
4169 frames in 5.0 seconds = 833.728 FPS

Unredirect Fullscreen windows set to "false":
3985 frames in 5.0 seconds = 796.837 FPS
4081 frames in 5.0 seconds = 816.026 FPS
4144 frames in 5.0 seconds = 828.753 FPS
4115 frames in 5.0 seconds = 822.961 FPS
4052 frames in 5.0 seconds = 810.175 FPS
4088 frames in 5.0 seconds = 817.522 FPS
4016 frames in 5.0 seconds = 803.078 FPS

Hi I've been watching this bug for a while because I wrote a small fullscreen app that ran into this problem until I disabled unredirect. I haven't noticed any performance degredation in the 5 months I've been running 9.04 with the unredirect disabled. So I decided to run some benchmarks against not only the unredirect option but also against the 2 versions of the nvidia driver. I run the 173.14 driver because I kept seeing corruption in certain GTK apps so I wondered if that affected my experience with the workaround.

My results show no performance impact for the workaround on my hardware. That of course does not mean that specific video cards may not exhibit the problem, but I believe I've discounted any specific nvidia driver version as having any impact.

Benchmark:
Nexuiz Benchmark Test
1024x768 Default FX levels
SHIFT-ESC "timedemo demos/demo1"

Hardware:
Thinkpad T61p
Intel(R) Core(TM)2 Duo CPU T8300 @ 2.40GHz
nVidia Corporation Quadro FX 570M (rev a1) (256mb VRAM)
2GB RAM

Results (hope the font doesn't mangle the alignment):
Driver Unredirect On Unredirect Off
Version FPS min/avg/max FPS min/avg/max
----------------------------------------------------------------------
173.14 15/58/61 16/57/61
180.44 82/149/263 83/149/263

My glxgears tests showed 60FPS constantly (not sure why everyone is getting such huge numbers for that; is there a frame limit option?), however the scene information in that utility is so simple I'm not really sure it makes a very useful benchmark.

Well looks like I failed at alignment. Here 's just the results in launchpad friendly format:

Driver Version = 173.14 Unredirect = Enabled min/avg/max FPS = 15/58/61
Driver Version = 173.14 Unredirect = Disabled min/avg/max FPS = 16/57/61
Driver Version = 180.44 Unredirect = Enabled min/avg/max FPS = 82/149/263
Driver Version = 180.44 Unredirect = Disabled min/avg/max FPS = 83/149/263

Travis Watkins (amaranth) wrote :

Right, thanks for the testing guys. Marking this bug as fixed. Only one user seems to have performance problems with unredirect fullscreen windows being disabled and that's with a driver that (at least used to be) known for working just fine no matter what that setting was.

Changed in compiz (Ubuntu):
status: Confirmed → Fix Released
Սահակ (petrosyan) wrote :

I can still reproduce this bug on a fully up to date 64 bit Ubuntu 9.10

Kai Jauch (kaijauch) wrote :

This is because the change was reverted on the latest update:

compiz (1:0.8.3+git20090917-0ubuntu1) karmic; urgency=low

  * New git snapshot of the 0.8 stable branch:
    - fix assert failure when core is loaded twice
  * debian/patches/029_default_options:
    - revert 'set Unredirect Fullscreen windows to "false"' change,
      it causes problems on nvidia system

 -- Michael Vogt <email address hidden> Thu, 17 Sep 2009 18:12:02 +0200

So far, it seems that it's only caused problems to _some_ NVidia systems, but the flickering problem affects _ALL_ systems.

tankdriver (stoneraider) wrote :

@Chauncellor:
did your get these figures with "glxgears -fullscreen" ?
Was the test really FULLscreen? (no gnome panels, tooltips or sth) ?

I can reproduce this performance issue on a 9600M GT, a 9500 GT and a Intel ??? (Asus K50IJ)

From the reason given in the changelog above
> "it causes problems on nvidia system"
I think this problem won't be solved before Karmic Release.
Setting to Confirmed.

Changed in compiz (Ubuntu):
status: Fix Released → Confirmed

tankdriver:

The command was "glxgears -fullscreen", but there were gnome panels present (that's another bug, I belive). That shouldn't make a difference, though, should it?

Disabling "unredirect fullscreen windows" is the fix.
Yes, there's a performance loss (700fps->280fps in fullscreen) on my GeForce 8600M GT, but it's totally worth it.
I've been using it like this since the release of Jaunty, the flickering was unacceptable.
Bad performance on nvidia cards should be a separate bug, no?

Travis Watkins (amaranth) wrote :

This bug is fixed. Your bug is in your drivers.

Changed in compiz (Ubuntu):
status: Confirmed → Fix Released
Travis Watkins (amaranth) wrote :

Sorry, actually it'll be fixed again in the next upload of compiz. The change was reverted due to bug 160264 but to make sure we don't hit that bit of fun in the nvidia driver again the compiz startup script will enable this option when compiz starts if detects an nvidia card.

Does this mean that if compiz detects an NVidia card, it will tick unredirect windows?

Basically, that means that this bug is fixed for everyone but NVidia cards, right? Or am I reading this wrong.

tankdriver (stoneraider) wrote :

@Chauncellor: (#47):
yes, the panels make a big difference!!
@Chauncellor: (#51):
I think you read it right.
This script will make high-graphics-performance tuned, mostly nvidia systems, flickering again!
(sorry for bad grammar)

Travis Watkins (amaranth) wrote :

Right, nvidia users will have this option enabled every time they start compiz. Until bug 160264 is fixed this and all other bugs caused by unredirect fullscreen windows are effectively Won't Fix for nvidia users. Luckily that means this bug is fixed for 70% of users according to current GPU marketshare. ;)

I am sorry nvidia users, you should pester nvidia until they fix their driver or vote with your wallet and switch to a Radeon.

I'm glad that this was at least partially resolved. Thank you all.

And I plan on buying an ATI as my next card. I've been fed up with NVidia for a long time. I doubt their driver is going to be amazing anytime soon, anyway.

tankdriver (stoneraider) wrote :

Thanks too.
Is there already a bugreport/forumthread at nvidia concerning this special issue?

Louis Simard (louis-simard) wrote :

Writing in to say that this bug still happens with an Intel card on the latest Karmic alpha 6 packages. I get a flash to desktop when typing 10% of the time, and when clicking the History arrow in Firefox 100% of the time.

The closest I've found is from http://www.nvnews.net/vbulletin/showthread.php?t=95034, post 12:

"Unredirect Fullscreen Windows

Unfortunately, the damn thing doesn't work properly. At this moment, it doesn't seem to help the FPS lags, but in UT2004 it does manage to steal the mouse focus so you can't play the game at all.

Alas, Unredirect Fullscreen Windows (UFW) is one of the buggiest features in compiz and has had a long history of not working, half-working and triggering other bugs. It seems most of the compiz developers don't use any other 3D apps at all besides compiz itself.

So, the solution to your problem is a working UFW setting in compiz, but this is the wrong forum to get a fix."

I'm guessing that this means I should open a thread that explains that unredirect works fine for cards except NV, but I want to be sure before I start opening threads.

Travis Watkins (amaranth) wrote :

Looks like there are no threads on nvnews about this bug I believe I told AaronP about this directly on IRC when we first discovered the problem so there wouldn't be any record of that.

Travis Watkins (amaranth) wrote :

Louis: Yeah, the bug was fixed then unfixed due to bug 160264 but it is fixed again in our compiz packaging bzr repo so the fix will be in the next upload of the compiz package happening some time this week (hopefully tomorrow).

Also, my last comment was missing a period after 'bug'. :)

Louis Simard (louis-simard) wrote :

Travis (#59): Ok :) Thanks for the status update. Will watch the repositories this week.

Please don't use glxgears as benchmark - the results are irrelevant. See http://lwn.net/Articles/323648/ .

Travis Watkins (amaranth) wrote :

The performance loss is bad but the main thing you guys should be telling nvidia about is bug 160264 since nvidia won't get unredirect fullscreen windows disabled until that bug is fixed even if the performance gets better.

tankdriver (stoneraider) wrote :

I can see that https://bugs.launchpad.net/bugs/160264 is filed with nvidia-graphics-drivers-180,
and karmic has 185, so am I right that it doesn't matter in karmic?

On Mon, Sep 21, 2009 at 6:36 PM, Travis Watkins <email address hidden> wrote:

> I am sorry nvidia users, you should pester nvidia until they fix their
> driver or vote with your wallet and switch to a Radeon.
>

Did I blink and miss something? Since when was AMD/ATI considered a better
hardware/driver than nvidia? Through experience I have found the nvidia
driver buggy and sometimes filled with performance issues, *but* it also has
a lot going for it and its flaws are replicated in other brands. Quality
wise, it has always performed a lot better than any ATI hardware ever has
for me (though it's been a year or so since I've put myself through that
hell). nvidia almost just works.

Please, if you know of a mid-range AMD/ATI card that has
near-Windows-performing drivers and does just work (in 2 and 3 dimensions),
let us know...

If you don't and you're just talking ideology with fancy open source 3d
drivers, who gives a damn? Not me. I care about what *works*.

(Since you brought it up, and others carried it on, I didn't think you'd all
mind a couple more emails on the topic)

Travis Watkins (amaranth) wrote :

tankdriver: No, launchpad works on source packages and the source package for the 185 driver is, confusingly enough, nvidia-graphics-drivers-180.

Oli: I don't get several duplicate crash bugs every week from fglrx users. I don't get the same bugs for 3 years with fglrx users. Sure, fglrx might be missing features and missing for a lot longer than everyone would hope but it at least seems to not make my life harder.

manzur (sl-solaris) wrote :

ubuntu 9.10 alpha 6 with latest updates... I can still reproduce this bug

I'm not a heavy gamer, and I'm not a professional graphics artist. I have a friend running an ATI that is slightly less good than my 8600 GT quality wise, but it ran out of the box perfectly, no questions asked. The only problem I've run into was a little bit of tearing.

What did I get with NVidia? In addition to MUCH more tearing and sluggishness, I got a broken suspend for about a half a year while the drivers were being neglected, and lots of other people got crashing systems. Just look on the nvnews forums for the over one-year old thread about the drivers bringing instability.

If I don't get the full power and potential of the card, I don't care. Like you said, I just want it to work. And the drivers for ATI have shown me that they seem to be going in a good direction. Just like DarthTibault said, I don't care about getting native speed right now, I just want my damn hardware to _work_.

Arnaud Soyez (weboide) wrote :

Please EVERYONE, keep the bug report comments focused on the bug itself and not on off-topics.
Thank you.

For those that don't like glxgears, I ran Nexuiz fullscreen on Ultra high quality with Unredirect both on and off.

Both ran at an average of 20 FPS. I did not notice any difference at all in performance. In other words, both options sucked majorly, considering this card should be able to more than handle that game :)

I'm not saying that means everyone else is like that, I'm just putting that out there.

Jasa Bartelj (jbartelj) wrote :

Setting UFW to false has been most excellent improvement for me!

I do run nvidia's driver for my 7600gt and am affected by that whiteout bug but I don't notice any performance drops here. I tested both settings with the Phoronix Test Suite (unigine being the quickest full screen test to set up) and there were no significant differences. The results differed 2-3% at most.

Thanks a lot for the link, Jesper!

Last one:

Here're two Phoronix benchmark tests.

8600 GT

Travis Watkins (amaranth) wrote :

Again, we're not as worried about performance problems as bug 160264. Even if every single nvidia user reported here saying performance was fine you would not get this fix until bug 160264 is fixed.

Travis Watkins (amaranth) wrote :

Hi guys, thought you might like to know we've developed a workaround and hope to get it included in the beta release. If it doesn't make it in time for the beta it'll be in the repos right after the beta release.

If you want to test it now you can go to http://people.ubuntu.com/~amaranth/compiz/ then download and install the two .deb files there. You'll still have to go into System->Preferences->CompizConfig Settings Manager and uncheck Unredirect Fullscreen Windows in General Options since the previous 'fix' enabled this option for you. Once you have it installed reload compiz (run `compiz &` in a terminal) and try to go to the Guest Session in the user switcher (should be up by your clock). If the patch is working correctly you'll see your screensaver when you log out of the guest session instead of a white screen.

If you test this please comment here to let me know how it worked for you.

Jasa Bartelj (jbartelj) wrote :

That's good to hear but my nvidia system is 32-bit and I only see amd64 packages, sorry.

NRD (nickdecarlo) wrote :

I recently ran into this bug with my nvidia 185.18.36 driver for my GTX 260 running an up-to-date copy of Ubuntu Karmic. while finding a workaround to enabling fullscreen Youtube videos with opera and Firefox.

The fix states to uncheck the 'undirect fullscreen windows' option, which did indeed work. However this created some horribly choppy behaviour in Wolfenstein:Enemy Territory. So as a benchmark I would like to suggest it, the game itself doesn't display a loss in FPS, but you will notice objects 'jumping' when you move around the map.

For the time being I've rechecked the option in compiz, which fixes the jumping in ET but I do miss my fullscreen Youtube vids.

Jasa Bartelj (jbartelj) wrote :

I've ran into problems with Wolf:ET too, although I've been able to solve them by enabling UFW , running the game and then disabling UFW again. Instead of running "et" I've created a simple script which must be run:

gconftool-2 --set /apps/compiz/general/screen0/options/unredirect_fullscreen_windows --type bool 1
et
gconftool-2 --set /apps/compiz/general/screen0/options/unredirect_fullscreen_windows --type bool 0

Of course compiz needs to use gconf to store its settings. If you use the sound patch - http://ubuntuforums.org/showthread.php?t=362231
then just modify the existing script you use by adding the appropriate lines before and after "et".

Vish (vish) wrote :

Adding papercut task and milestones from the dup.

This bug was fixed by turning off the Compiz unredirect fullscreen windows by default , so fixed as per the dup [ Bug #451907 ] bug's request.

compiz (1:0.8.3+git20090917-0ubuntu2) karmic; urgency=low

  * debian/rules:
    - remove metacity num_workspaces check from keybinding file (LP: #150918)
  * debian/compiz-manager:
    - enable unredirect_fullscreen_windows if nvidia is detected
  * debian/patches/029_default_options:
    - turn off unredirect_fullscreen_windows by default again

 -- Travis Watkins <email address hidden> Mon, 21 Sep 2009 08:56:25 -0500

Changed in hundredpapercuts:
importance: Undecided → Low
milestone: none → round-10
status: New → Fix Released
manzur (sl-solaris) wrote :

ok this has being fixed.. BUT should windows in full screen flick or flash when "unredirect windows in fullscreen" option is enabled?

Manzur: I believe that the bug addressed the fact that applications were flickering. Disabling that option fixed it, so the bug is fixed. It no longer flickers.

I know where you're going, though. But I think that the fact that when the option is enabled it does that calls for another bug. Again, the problem of stock settings making things flicker has been fixed.

manzur (sl-solaris) wrote :

Chauncellor: "I know where you're going, though. But I think that the fact that when the option is enabled it does that calls for another bug. Again, the problem of stock settings making things flicker has been fixed."

answer: I have reported this issue.. saying that even with Unredirect Windows in fullscreen option enabled shouldn't flash BUT they say it is a duplicate bug of this, any idea? ha

Travis Watkins (amaranth) wrote :

There is no way to fix the flickering when this option is enabled, that's a side effect of what that option does. The only fix it to not use that option.

I doubt that the flickering is an intention, otherwise the option wouldn't even be there in the first place.

Manzur: Have you submitted the report upstream to opencompositing.org? Even if LP doesn't do a good job of sorting out the bugs, I'm sure that if the compiz devs know the issue, they'll work on it.

Oh, hell, I'm stupid. The bug has been reported (though the description is a little crappy).

So the right people know what's up. :)

Travis Watkins (amaranth) wrote :

I'm upstream too. :)

When you first start compiz it has to redirect all of your windows so it can manipulate them. Unredirect Fullscreen Windows makes compiz stop managing the fullscreen window. This also puts the fullscreen window above everything else so all the windows compiz is managing will always draw underneath it. When another window pops up the only way we can show it is to redirect the fullscreen window again. This is the cause of the flicker, the window disappears while compiz is taking over drawing of it.

This option is only useful for drivers that have a naive implementation of GLX_EXT_texture_from_pixmap, modern drivers implement so called "zero copy" texture from pixmap so redirecting the window for compiz to manage it is basically free.

So while flickering is not the intention there is also no way to stop the flickering while this option is enabled.

How odd.

Well, then, I guess everything is settled. Thanks for the detailing, Travis.

manzur (sl-solaris) wrote :

Well but as some one in here said if this is an option and it behaves in this way, we should remove that option from there, what could we use that for?

Travis Watkins (amaranth) wrote :

In the past it was worth using for the performance benefits even if it did cause flickering for fullscreen applications that aren't video games. We don't know if that is still the case for anyone so for karmic at least the option will still be there for people that may need it.

manzur (sl-solaris) wrote :

But I do really ask something: Does it have to flash when it is enabled necessarily?

Travis Watkins (amaranth) wrote :

There is no way for me to explain it better than I already have so I'll just say this: yes.

mantonfl273 (mantonelli8) wrote :

I have an Nvidia video card and downloaded the latest driver as recommended. I have had no problems. I think the problem might be that the rest of you are running a system using an Intel chipset. I am using the Beta of Ubuntu 9.10, 32 bit version of Ubuntu on an AMD 64 Athlon X2 chipset. I have always preferred AMD to Intel. That is just a personal preference. Maybe the Nvidia card is not working well on the motherboard with the Intel chip. Good luck.

Jasa Bartelj (jbartelj) wrote :

I call FUD. I've encountered the whiteness bug on an AMD Athlon X2 / nVidia nForce combo so Intel has nothing to do with it.

Felipe Figueiredo (philsf) wrote :

Please. Travis already explained (clearly) what causes the bug, this
has nothing to do with it.

On Mon, Nov 2, 2009 at 6:19 AM, mantonfl273 <email address hidden> wrote:
> I have an Nvidia video card and downloaded the latest driver as
> recommended. I have had no problems. I think the problem might be that
> the rest of you are running a system using an Intel chipset. I am using
> the Beta of Ubuntu 9.10, 32 bit version of Ubuntu on an AMD 64 Athlon X2
> chipset. I have always preferred AMD to Intel. That is just a personal
> preference. Maybe the Nvidia card is not working well on the motherboard
> with the Intel chip. Good luck.

Սահակ (petrosyan) on 2013-04-28
Changed in compiz:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.